## qbzr 0.14.4

=== Makefile ===
all:
	@echo Targets:
	@echo   test  - run tests
	@echo   pot   - regenerate qbzr.pot translations template
	@echo   mo    - build binary translations
	@echo   clean - remove build products
	@echo   tags  - collect tags with ctags utility

.PHONY: test pot mo clean tags

test:
	bzr selftest -s bp.qbzr

pot:
	python setup.py build_pot -N -d.

mo:
	python setup.py build_mo -f

copy-libs:
	python setup.py bdist_nsis --copy-all --dry-run

tarball:
	bzr export --root=qbzr qbzr-$(RELEASE).tar.gz
	gpg -ab qbzr-$(RELEASE).tar.gz

py-inst: mo
	python setup.py bdist_wininst -d.
	gpg -ab qbzr-$(RELEASE).win32.exe

inno: mo
	iscc installer/qbzr-setup.iss
	gpg -ab qbzr-setup-$(RELEASE).exe

release: tarball py-inst inno

clean:
	python setup.py clean -a

tags:
	ctags *.py lib/*.py lib/extra/*.py lib/tests/*.py

## qbzr 0.18.5

=== debian/changelog ===
qbzr (0.18.5-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release.
   - Fixes qlog with PyQt 4.7.2. (LP: #544928)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 02 Apr 2010 13:08:20 -0400

qbzr (0.18.3-1ubuntu1) lucid; urgency=low

  * Merge from debian testing. Remaining changes:
   - Retain detailed long description in debian/control
     from Ubuntu package.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 18 Mar 2010 11:55:03 -0400

qbzr (0.18.3-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 07 Mar 2010 16:09:15 +0100

qbzr (0.18.2-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 22 Feb 2010 06:40:20 +0100

qbzr (0.18.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   - Retain detailed long description in debian/control
     from Ubuntu package.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 13 Feb 2010 13:54:59 -0500

qbzr (0.18.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: replaced old copyright symbol.
  * debian/control: bump Standards-Version to 3.8.4.
  * Add description to quilt patch.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 10 Feb 2010 15:17:46 +0100

qbzr (0.17-1ubuntu1) lucid; urgency=low

  * Merge from Debian Testing. Remaining Ubuntu changes:
   - Retain detailed long description in debian/control
     from Ubuntu package.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 03 Feb 2010 12:31:55 -0500

qbzr (0.17-1) unstable; urgency=low

  * New upstream release.
  * Suggests bzr-search and python-docutils (improves qhelp).

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 23 Dec 2009 14:20:32 +0100

qbzr (0.16-2ubuntu1) lucid; urgency=low

  * Merge from Debian Testing. Remaining Ubuntu changes:
   - Retain detailed long description in debian/control
     from Ubuntu package.
  * Edit long description in debian/control so that all lines
    do not exceed 80 characters.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 23 Dec 2009 15:29:06 -0500

qbzr (0.16-2) unstable; urgency=low

  * Change maintainer to Debian Bazaar Maintainers team.
  * List all copyright holders.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Dec 2009 01:20:38 +0100

qbzr (0.16-1) unstable; urgency=low

  * New upstream release (Closes: #555623).

 -- Stefano Karapetsas <stefano@karapetsas.com>  Tue, 10 Nov 2009 15:32:05 +0100

qbzr (0.15-4) unstable; urgency=low

  * Moved doc files from setup.py to debian/docs.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 06 Nov 2009 00:21:54 +0100

qbzr (0.15-3) unstable; urgency=low

  * debian/copyright: Add upstream author.
  * debian/rules: Remove unneeded files.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 30 Oct 2009 16:37:56 +0100

qbzr (0.15-2) unstable; urgency=low

  * Removed python-all-dev dependency.
  * Fixed typo in description.
  * Set minimum bzr version to 1.17.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 30 Oct 2009 15:03:48 +0100

qbzr (0.15-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 21 Oct 2009 14:21:30 +0200

qbzr (0.14.4-0ubuntu1) karmic; urgency=low

  * New upstream bugfix release. (LP: #455051) 
    - get rid of old-style classes to be compatible with PyQt 4.6. (LP: #447214)
    - qlog: handle revids as plain strings, not unicode
    - Fixed a bug were the pending merges graph was being loaded twice.
    - qcommit: Fixed bug with inability of run qcommit /path/to/tree/root after
      merge
    - qlog: Ensure that tree objects correctly locked when checking for
      directories.

 -- Gary van der Merwe <garyvdm@gmail.com>  Mon, 19 Oct 2009 01:19:38 +0200

qbzr (0.14.2-1~qbzr1~karmic1) karmic; urgency=low

  * New upstream release.

 -- Gary van der Merwe <garyvdm@gmail.com>  Wed, 23 Sep 2009 11:49:32 +0200

qbzr (0.14.2-0ubuntu1) karmic; urgency=low

  * New upstream bugfix release.

 -- James Westby <james.westby@ubuntu.com>  Tue, 22 Sep 2009 14:48:43 +0100

qbzr (0.14.1-1~qbzr1~karmic1) karmic; urgency=low

  * New upstream release.

 -- Gary van der Merwe <garyvdm@gmail.com>  Thu, 10 Sep 2009 23:05:47 +0200

qbzr (0.14.1-0ubuntu1) karmic; urgency=low

  [ Gary van der Merwe ]
  * New upstream release (LP: #428107)

  [ Andrew Starr-Bochicchio ]
  * debian/copyright: Clean up and add upstream authors to file.
  * debian/control: 
   - Bump Standards-Version to 3.8.3
   - Add Homepage field.
  * Create debian/docs and install README.txt and NEWS.txt

 -- Gary van der Merwe <garyvdm@gmail.com>  Sun, 13 Sep 2009 15:37:03 -0400

qbzr (0.14-1~qbzr1~karmic1) karmic; urgency=low

  * Package for karmic.
  
 -- Gary van der Merwe <garyvdm@gmail.com>  Tue, 25 Aug 2009 18:43:22 +0200

qbzr (0.14-1~qbzr1~jaunty1) jaunty; urgency=low

  * New upstream release.

 -- Gary van der Merwe <garyvdm@gmail.com>  Fri, 21 Aug 2009 09:57:20 +0200

qbzr (0.14-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Updated the description in the control file.

 -- Gary van der Merwe <garyvdm@gmail.com>  Fri, 21 Aug 2009 11:20:55 +0200

qbzr (0.13.1-1~qbzr1~jaunty1) jaunty; urgency=low

  * New upstream release.

 -- Gary van der Merwe <garyvdm@gmail.com>  Tue, 11 Aug 2009 14:25:52 +0200

qbzr (0.13-1~qbzr1~jaunty1) jaunty; urgency=low

  * New upstream release.

 -- Gary van der Merwe <garyvdm@gmail.com>  Mon, 10 Aug 2009 21:41:48 +0200

qbzr (0.12-1~qbzr1~jaunty1) jaunty; urgency=low

  * New upstream release.

 -- Gary van der Merwe <garyvdm@gmail.com>  Wed, 08 Jul 2009 22:59:23 +0200

qbzr (0.11-1~qbzr1~jaunty2) jaunty; urgency=low

  * Added python-enchant as suggested package.
  * Remove bogus 0.12-1~qbzr1~jaunty1 release from changelog.

 -- Gary van der Merwe <garyvdm@gmail.com>  Wed, 01 Jul 2009 21:35:33 +0200



## qbzr 0.18.6

=== Makefile ===
all:
	@echo Targets:
	@echo   test  - run tests
	@echo   pot   - regenerate qbzr.pot translations template
	@echo   mo    - build binary translations
	@echo   clean - remove build products
	@echo   tags  - collect tags with ctags utility
	@echo   docs  - build htmls for texts in docs/ directory
	@echo   epydoc - build API docs with epydoc
	@echo To build release run:
	@echo    make release RELEASE=X.Y.Z

.PHONY: test pot mo clean tags docs ui

test:
	bzr selftest -s bp.qbzr

pot:
	python setup.py build_pot -N -d.

mo:
	python setup.py build_mo -f

tarball:
	bzr export --root=qbzr qbzr-$(RELEASE).tar.gz
	gpg -ab qbzr-$(RELEASE).tar.gz

inno: mo
	iscc installer/qbzr-setup.iss
	gpg -ab qbzr-setup-$(RELEASE).exe

release: tarball inno

clean:
	python setup.py clean -a

tags:
	ctags *.py lib/*.py lib/extra/*.py lib/tests/*.py

epydoc:
	epydoc.py -o api -v lib

docs:
	$(MAKE) -C docs

ui:
	python setup.py build_ui

=== docs/Makefile ===
.PHONY = html

all: html

rst2html := python rst2html.py

%.html: %.txt
	$(rst2html) $< $@

%.html: ../%.txt
	$(rst2html) $< $@

html: index.html gettext_usage.html make_release.html \
	slot-signal-mini-tutorial/slot-signal-mini-tutorial.html

=== debian/changelog ===
qbzr (0.18.6-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release
   - Fixes qlog search. (LP: #575338)

 -- Gary van der Merwe <garyvdm@gmail.com>  Tue, 04 May 2010 22:13:23 +0200

=== debian/control ===
Source: qbzr
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Stefano Karapetsas <stefano@karapetsas.com>, Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 5.0.38), cdbs, python-all,
 python-central (>= 0.5), gettext
Standards-Version: 3.8.4
XS-Python-Version: current, >= 2.4
Homepage: http://bazaar-vcs.org/QBzr

Package: qbzr
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 python-qt4, python-pygments, bzr (>= 1.17)
Suggests: python-enchant, python-docutils, bzr-search
XB-Python-Version: ${python:Versions}
Description: Graphical interface for Bazaar using the Qt toolkit
 QBzr is a cross-platform GUI frontend for Bazaar, based on the Qt toolkit.
 .
 It provides GUI frontend for many core bzr commands and several universal
 dialogs and helper commands. Equivalents for core bzr commands
 has the same names as CLI commands but with prefix "q".
 .
 Basic q-commands:
 .
  * qadd - GUI for adding files or directories.
  * qannotate - Show the origin of each line in a file.
  * qbind - Convert the current branch into a checkout of the supplied branch.
  * qbranch - Create a new copy of a branch.
  * qcat - View the contents of a file as of a given revision.
  * qcommit - GUI for committing revisions.
  * qconflicts - Show conflicts.
  * qdiff - Show differences in working tree in a GUI window.
  * qexport - Export current or past revision to a directory or archive.
  * qinfo - Shows information about the current location.
  * qinit - Initializes a new branch or shared repository.
  * qlog - Show log of a repository, branch, file, or directory in a Qt window.
  * qmerge - Perform a three-way merge.
  * qplugins - Display information about installed plugins.
  * qpull - Turn this branch into a mirror of another branch.
  * qpush - Update a mirror of this branch.
  * qrevert - Revert changes files.
  * qsend - Mail or create a merge-directive for submitting changes.
  * qswitch - Set the branch of a checkout and update.
  * qtag - Edit tags.
  * qunbind - Convert the current checkout into a regular branch.
  * quncommit - Move the tip of a branch to an earlier revision.
  * qupdate - Update working tree with latest changes in the branch.
  * qversion - Show version/system information.
 .
 Hybrid dialogs:
 .
  * qgetnew - Creates a new working tree (either a checkout or full branch).
  * qgetupdates - Fetches external changes into the working tree.
 .
 Additional commands:
 .
  * qbrowse - Show inventory or working tree.
  * qconfig - Configure Bazaar and QBzr.
  * qviewer - Simple file viewer.
 .
 Miscellaneous:
 .
  * bug-url - print full URL to a specific bug, or open it in your browser.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pycentral

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -rf locale

=== debian/watch ===
version=3

https://launchpad.net/qbzr/+download .*/qbzr-(.*)\.tar\.gz \
        debian	uupdate

## qbzr 0.19.1

=== debian/changelog ===
qbzr (0.19.1-0ubuntu1) maverick; urgency=low

  * New upstream bug fix release. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 30 Sep 2010 12:41:03 -0400

qbzr (0.19-0ubuntu1) maverick; urgency=low

  * New upstream release. (LP: #617207)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 13 Aug 2010 13:15:27 -0400

qbzr (0.18.6-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
   - Retain detailed long description in debian/control
     from Ubuntu package.

 -- Andreas Wenning <awen@awen.dk>  Thu, 24 Jun 2010 21:53:59 +0200

qbzr (0.18.6-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 16 May 2010 23:15:44 +0200

qbzr (0.18.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated homepage.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Tue, 06 Apr 2010 11:28:47 +0200

qbzr (0.18.4-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 22 Mar 2010 19:20:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python-central (>= 0.5), gettext
 Standards-Version: 3.8.4
 XS-Python-Version: current, >= 2.4
-Homepage: http://bazaar-vcs.org/QBzr
+Homepage: http://wiki.bazaar.canonical.com/QBzr
 
 Package: qbzr
 Architecture: all

## qbzr 0.20.0

=== debian/changelog ===
qbzr (0.20.0-1) unstable; urgency=low

  * New upstream release.
  * Add 02-configobj.diff: work around bzrlib not shipping its own copy of
    configobj. Closes: #612130

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 06 Feb 2011 13:39:31 +0100

qbzr (0.20~bzr1344-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes compatibility with Bazaar >= 2.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 17 Dec 2010 23:53:11 +0100

qbzr (0.19.3-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Run testsuite as part of build.

  [ Max Bowsher ]
  * New upstream release.
   - Mark as depending on bzr << 2.3.

 -- Max Bowsher <maxb@f2s.com>  Wed, 01 Dec 2010 03:22:08 +0000

qbzr (0.19.2-1) unstable; urgency=low

  [ Stefano Karapetsas ]
  * New upstream bugfix release.

  [ Andrew Starr-Bochicchio ]
  * debian/control:
   - Use detailed long description from Ubuntu.
   - Add Vcs-{Bzr, Browser} fields.
   - Add myself to Uploaders field.
  * debian/rules: Install News.txt as upstream changelog. 

 -- Stefano Karapetsas <stefano@karapetsas.com>  Tue, 12 Oct 2010 15:42:15 +0200

qbzr (0.19-1) unstable; urgency=low

  [ Gary van der Merwe ]
  * New upstream release.
  * Set minimum bzr version to 2.1.
  * Change section from devel to vcs.
  * Update watch to unmangle beta versions.

  [ Jelmer Vernooij ]
  * Fix watch file.
  * Bump standards version to 3.9.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 20 Aug 2010 19:02:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: qbzr
-Section: devel
+Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
-Uploaders: Stefano Karapetsas <stefano@karapetsas.com>, Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Uploaders: Stefano Karapetsas <stefano@karapetsas.com>, Jelmer Vernooij <jelmer@debian.org>,
+           Andrew Starr-Bochicchio <a.starr.b@gmail.com>
 Build-Depends: debhelper (>= 5.0.38), cdbs, python-all,
- python-central (>= 0.5), gettext
-Standards-Version: 3.8.4
+ python-central (>= 0.5), gettext, xvfb, python-testtools,
+ python-qt4, python-pygments, xauth
+Build-Depends-Indep: bzr (>= 2.1)
+Standards-Version: 3.9.1
 XS-Python-Version: current, >= 2.4
+Vcs-Bzr: http://bzr.debian.org/bzr/pkg-bazaar/qbzr/unstable
+Vcs-Browser: http://bzr.debian.org/loggerhead/bzr/pkg-bazaar/qbzr/unstable/files
 Homepage: http://wiki.bazaar.canonical.com/QBzr
 
 Package: qbzr
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
- python-qt4, python-pygments, bzr (>= 1.17)
+ python-qt4, python-pygments, bzr (>= 2.1)
 Suggests: python-enchant, python-docutils, bzr-search
 XB-Python-Version: ${python:Versions}
 Description: Graphical interface for Bazaar using the Qt toolkit

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,12 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
 
+DEB_INSTALL_CHANGELOGS_ALL := NEWS.txt
+
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+common-post-build-indep::
+	BZR_PLUGINS_AT=qbzr@$(CURDIR) xvfb-run /usr/bin/bzr selftest -s bp.qbzr
+endif
+
 clean::
 	rm -rf locale

## qbzr 0.21.1

=== debian/changelog ===
qbzr (0.21.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 10 Aug 2011 15:55:46 -0400

qbzr (0.21-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Vcs-* fields.
  * Drop 02-fix-unicode-filename-feature.diff, included upstream.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 21 Jul 2011 12:07:19 -0400

qbzr (0.20.1-3) unstable; urgency=low

  * Bump standards version to 3.9.2 (no changes).
  * Swap ordering of conditions in build depends to make sbuild happy.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 06 May 2011 19:02:13 +0200

qbzr (0.20.1-2) unstable; urgency=low

  * Force the use of dh_python2, as without it qbzr doesn't get noticed
    by bzr.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 01 May 2011 15:22:10 +0200

qbzr (0.20.1-1) unstable; urgency=low

  [ Max Bowsher ]
  * Drop patch 02-configobj.diff, merged upstream.

  [ Jelmer Vernooij ]
  * New upstream release.
   + Add python-enchant build dependency for test suite.
  * Add Enhances: bzr
  * Switch to dh_python2. Closes: #617046
  * Switch to debhelper 7, drop cdbs.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 21 Mar 2011 12:10:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,36 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
-Uploaders: Stefano Karapetsas <stefano@karapetsas.com>, Jelmer Vernooij <jelmer@debian.org>,
+Uploaders: Stefano Karapetsas <stefano@karapetsas.com>,
+           Jelmer Vernooij <jelmer@debian.org>,
            Andrew Starr-Bochicchio <a.starr.b@gmail.com>
-Build-Depends: debhelper (>= 5.0.38), cdbs, python-all,
- python-central (>= 0.5), gettext, xvfb, python-testtools,
- python-qt4, python-pygments, xauth
-Build-Depends-Indep: bzr (>= 2.1)
-Standards-Version: 3.9.1
-XS-Python-Version: current, >= 2.4
-Vcs-Bzr: http://bzr.debian.org/bzr/pkg-bazaar/qbzr/unstable
-Vcs-Browser: http://bzr.debian.org/loggerhead/bzr/pkg-bazaar/qbzr/unstable/files
+Build-Depends: debhelper (>= 7.0.50~),
+               gettext,
+               python-all (>= 2.6.6-3),
+               python-enchant,
+               python-pygments,
+               python-qt4,
+               python-testtools,
+               xauth,
+               xvfb
+Build-Depends-Indep: bzr (>= 2.1), python-bzrlib.tests | bzr (<= 2.4.0~beta1-2)
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.4
+Vcs-Bzr: http://anonscm.debian.org/bzr/bzr/pkg-bazaar/qbzr/unstable/
+Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-bazaar/qbzr/unstable/files
 Homepage: http://wiki.bazaar.canonical.com/QBzr
 
 Package: qbzr
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
- python-qt4, python-pygments, bzr (>= 2.1)
-Suggests: python-enchant, python-docutils, bzr-search
-XB-Python-Version: ${python:Versions}
+Depends: bzr (>= 2.1),
+         python-configobj,
+         python-pygments,
+         python-qt4,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Suggests: bzr-search, python-docutils, python-enchant
+Enhances: bzr
 Description: Graphical interface for Bazaar using the Qt toolkit
  QBzr is a cross-platform GUI frontend for Bazaar, based on the Qt toolkit.
  .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=python_distutils --with python2 $*

override_dh_auto_clean:
	dh_auto_clean
	rm -rf locale

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	BZR_PLUGINS_AT=qbzr@$(CURDIR) xvfb-run /usr/bin/bzr selftest -s bp.qbzr
endif

## qbzr 0.21.2

=== debian/changelog ===
qbzr (0.21.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Set DM-Upload-Allowed: yes
  * debian/patches/2.5compatibility.patch: Cherrypick revision 1428
    from trunk fixing compatibility bzr 2.5 series which has moved
    Feature from bzrlib.tests to bzrlib.tests.features.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 15 Dec 2011 12:12:33 -0500

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 Vcs-Bzr: http://anonscm.debian.org/bzr/bzr/pkg-bazaar/qbzr/unstable/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-bazaar/qbzr/unstable/files
 Homepage: http://wiki.bazaar.canonical.com/QBzr
+DM-Upload-Allowed: yes
 
 Package: qbzr
 Architecture: all

=== debian/watch ===
version=3
https://launchpad.net/qbzr/+download http://launchpad.net/qbzr/.*/qbzr-(.*)\.tar\.gz

## qbzr 0.22.1

=== debian/changelog ===
qbzr (0.22.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 21 Feb 2012 12:13:58 -0500

qbzr (0.22-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/2.5compatibility.patch removed, it's applied upstream.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 09 Feb 2012 11:11:07 +0100

## qbzr 0.22.2

=== debian/changelog ===
qbzr (0.22.2-1) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * New upstream release.
  * debian/copyright: Use machine-readable format.
  * debian/control: Bump Standards-Version to 3.9.3,
    no changes needed.

  [ Jelmer Vernooij ]
  * Remove myself from uploaders.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 06 Apr 2012 19:48:11 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Stefano Karapetsas <stefano@karapetsas.com>,
-           Jelmer Vernooij <jelmer@debian.org>,
            Andrew Starr-Bochicchio <a.starr.b@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                gettext,
@@ -15,7 +14,7 @@
                xauth,
                xvfb
 Build-Depends-Indep: bzr (>= 2.1), python-bzrlib.tests | bzr (<= 2.4.0~beta1-2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 Vcs-Bzr: http://anonscm.debian.org/bzr/bzr/pkg-bazaar/qbzr/unstable/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-bazaar/qbzr/unstable/files

## qbzr 0.23.0

=== debian/changelog ===
qbzr (0.23.0-2) unstable; urgency=low

  * debian/tests/testsuite: Don't run tests in parallel to be
    consistent with how we run them at build time and so they
    pass without depending on python-subunit. Fixes autopkg-test
    failure on Ubuntu's jenkins instance.
  * debian/tests/control: Add @ to the Depends line to ensure we
    pull in everything to run all tests.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 16 Nov 2012 15:30:26 -0500

qbzr (0.23.0-1) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * New upstream release.
  * debian/copyright: Use machine-readable format.
  * Fix debian/watch file to correctly find releases again.
  * debian/control: Bump Standards Version to 3.9.3,
    no changes needed.
  * debian/control: Use my new @debian.org address.
  * Add autopkgtests running the upstream testsuite.

  [ Jelmer Vernooij ]
  * Remove myself from uploaders.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 15 Nov 2012 18:58:24 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Stefano Karapetsas <stefano@karapetsas.com>,
-           Andrew Starr-Bochicchio <a.starr.b@gmail.com>
+           Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                gettext,
                python-all (>= 2.6.6-3),
@@ -16,6 +16,7 @@
 Build-Depends-Indep: bzr (>= 2.1), python-bzrlib.tests | bzr (<= 2.4.0~beta1-2)
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
+XS-Testsuite: autopkgtest
 Vcs-Bzr: http://anonscm.debian.org/bzr/bzr/pkg-bazaar/qbzr/unstable/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-bazaar/qbzr/unstable/files
 Homepage: http://wiki.bazaar.canonical.com/QBzr

## qbzr 0.23.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
 all:
 	@echo Targets:
-	@echo   test  - run tests
-	@echo   pot   - regenerate qbzr.pot translations template
-	@echo   mo    - build binary translations
-	@echo   clean - remove build products
-	@echo   tags  - collect tags with ctags utility
-	@echo   docs  - build htmls for texts in docs/ directory
+	@echo   test   - run tests
+	@echo   pot    - regenerate qbzr.pot translations template
+	@echo   mo     - build binary translations
+	@echo   clean  - remove build products
+	@echo   tags   - collect tags with ctags utility
+	@echo   docs   - build htmls for texts in docs/ directory
 	@echo   epydoc - build API docs with epydoc
+	@echo   ui     - compile UI files
+	@echo
 	@echo To build release run:
 	@echo    make release RELEASE=X.Y.Z

=== debian/changelog ===
qbzr (0.23.1-1ubuntu1) xenial; urgency=medium

  * debian/tests/testsuite: Force the locale to en_US.UTF-8, since the
    testsuite fails otherwise, apparently in months which contain "j".

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 26 Jan 2016 13:49:57 +0000

qbzr (0.23.1-1) unstable; urgency=low

  * New upstream release.
  * Drop depricated DM-Upload-Allowed field.
  * Bump Standards-Version to 3.9.5, no changes.
  * Disable two flaky tests in both debian/rules and
    debian/tests/testsuite (Closes: #735787).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 12 Feb 2014 12:40:29 -0500

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,12 @@
                xauth,
                xvfb
 Build-Depends-Indep: bzr (>= 2.1), python-bzrlib.tests | bzr (<= 2.4.0~beta1-2)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.4
 XS-Testsuite: autopkgtest
 Vcs-Bzr: http://anonscm.debian.org/bzr/bzr/pkg-bazaar/qbzr/unstable/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-bazaar/qbzr/unstable/files
 Homepage: http://wiki.bazaar.canonical.com/QBzr
-DM-Upload-Allowed: yes
 
 Package: qbzr
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,6 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	BZR_PLUGINS_AT=qbzr@$(CURDIR) xvfb-run /usr/bin/bzr selftest -s bp.qbzr
+	BZR_PLUGINS_AT=qbzr@$(CURDIR) xvfb-run /usr/bin/bzr selftest -s bp.qbzr \
+	-xTestQDiff.test_find -xTestQUnshelve.test_find
 endif

=== debian/watch ===
version=3
http://launchpad.net/qbzr/+download https://launchpad.net/qbzr/.*/qbzr-(.*)\.tar\.gz

## qbzr 0.23.2

=== docs/Makefile ===
--- 
+++ 
@@ -11,4 +11,5 @@
 	$(rst2html) $< $@
 
 html: index.html gettext_usage.html make_release.html \
-	slot-signal-mini-tutorial/slot-signal-mini-tutorial.html
+	slot-signal-mini-tutorial/slot-signal-mini-tutorial.html \
+	exception_reporting.html

=== debian/changelog ===
qbzr (0.23.2-3) unstable; urgency=medium

  * Use https in Vcs-Bzr URL.
  * Fix typo in import; fixes unit tests.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 30 Jul 2017 17:20:50 +0000

qbzr (0.23.2-2) unstable; urgency=medium

  * Disable running of testsuite during build for now as it randomly
    segfaults. Closes: #848061
  * Skip test_find during autopkgtest, as it's brittle. Closes: #776188

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 15 Dec 2016 03:30:36 +0000

qbzr (0.23.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper version to 9.
  * Bump standards version to 3.9.8 (no changes).
  * Add myself to uploaders.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 14 Dec 2016 01:13:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Stefano Karapetsas <stefano@karapetsas.com>,
-           Andrew Starr-Bochicchio <asb@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+           Andrew Starr-Bochicchio <asb@debian.org>,
+           Jelmer Vernooĳ <jelmer@debian.org>
+Build-Depends: debhelper (>= 9),
                gettext,
                python-all (>= 2.6.6-3),
                python-enchant,
@@ -14,11 +15,11 @@
                xauth,
                xvfb
 Build-Depends-Indep: bzr (>= 2.1), python-bzrlib.tests | bzr (<= 2.4.0~beta1-2)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.4
 XS-Testsuite: autopkgtest
-Vcs-Bzr: http://anonscm.debian.org/bzr/bzr/pkg-bazaar/qbzr/unstable/
-Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-bazaar/qbzr/unstable/files
+Vcs-Bzr: https://anonscm.debian.org/bzr/pkg-bazaar/qbzr/unstable/
+Vcs-Browser: https://anonscm.debian.org/loggerhead/pkg-bazaar/qbzr/unstable/files
 Homepage: http://wiki.bazaar.canonical.com/QBzr
 
 Package: qbzr

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $* --buildsystem=python_distutils --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf locale

override_dh_auto_test:
	# Disable the testsuite for now as it randomly segfaults (#848061)
#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#	BZR_PLUGINS_AT=qbzr@$(CURDIR) xvfb-run /usr/bin/bzr selftest -s bp.qbzr \
#	-xTestQDiff.test_find -xTestQUnshelve.test_find
#endif

=== debian/tests/control ===
Tests: testsuite
Depends: @, python-bzrlib.tests, xauth, xvfb
Features: no-build-needed
